huge regression: impossible to add new features to layers being edited 

2014-05-23 10:24 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18758

Description

Subject says it all. It's impossible to add new features to layers being edited via the Add Feature button. The user can draw the polygon,

but when its time to insert the column(s) data, everything is disabled except cancel.

Steps to reproduce:

1. Create a new project, and add a newly created polygon shapefile to it with two columns (any type, doesn't matter)

2. Switch the edit mode on for the shapefile layer

3. Trace a new polygon to the layer via Add Feature button 

4. Use right click to end tracing of the polygon, and notice how the pop up dialog has all of the fields and the OK button disabled,

preventing the insertion of the traced polygon

That must be a pretty recent regression.

Associated revisions

Revision 9bdc932e - 2014-05-25 06:33 AM - Nathan Woodrow 

Fix #10337 - Allow attribute form on all features (new QgsFeatures are invalid)

Revision 81293dbe - 2014-05-25 11:04 AM - Matthias Kuhn

Fix add attribute dialog

Fix #10337

Revision 2700bcd5 - 2014-05-25 06:38 PM - Matthias Kuhn

Fix widget to wrapper converter code

Fixes #10337

History

#1 - 2014-05-24 09:33 PM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"9bdc932e9648d885352da772dc13687562617d43".
